ClarisWksPresentationInternal::Presentation Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksPresentationInternal::Presentation Struct Reference

Internal the presentation. More...

Inheritance diagram for ClarisWksPresentationInternal::Presentation:

## Public Member Functions
| Presentation (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
virtual void | removeChild (int cId, bool normalChild)
| remove a child from a list. More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
Box2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (Vec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, std::set< int > &forbiddenPageBreak) const
| find forbidden page break More...
Box2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
std::vector< int > | m_contentIdList
| the list of main zone id More...
std::vector< int > | m_noteIdList
| the list of notes zone id More...
std::vector< int > | m_thumbnailsIdList
| the list of thumbnail zone id More...
std::vector< librevenge::RVNGString > | m_titleList
| the list of title More...
int | m_masterId
| the master zone (background + header/footer) More...
bool | m_masterDetached
| true if the auxiliary zone is detached More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
Box2f | m_box
| the bounding box (if known) More...
Vec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, Presentation const &doc)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal the presentation.

## Constructor & Destructor Documentation

ClarisWksPresentationInternal::Presentation::Presentation | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inline

## Member Function Documentation

virtual void ClarisWksPresentationInternal::Presentation::removeChild | ( | int | cId,
|  | bool | normalChild
| ) |  |
| inlinevirtual

remove a child from a list.

Normally, this function is not called, so optimizing it is not usefull

Reimplemented from ClarisWksStruct::DSET.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Presentation const & | doc
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<int> ClarisWksPresentationInternal::Presentation::m_contentIdList

the list of main zone id

Referenced by ClarisWksPresentation::readZone1().

bool ClarisWksPresentationInternal::Presentation::m_masterDetached

true if the auxiliary zone is detached

Referenced by removeChild().

int ClarisWksPresentationInternal::Presentation::m_masterId

the master zone (background + header/footer)

std::vector<int> ClarisWksPresentationInternal::Presentation::m_noteIdList

the list of notes zone id

Referenced by ClarisWksPresentation::readZone1().

std::vector<int> ClarisWksPresentationInternal::Presentation::m_thumbnailsIdList

the list of thumbnail zone id

Referenced by ClarisWksPresentation::readZone1().

std::vector<librevenge::RVNGString> ClarisWksPresentationInternal::Presentation::m_titleList

the list of title

Referenced by ClarisWksPresentation::readZone1().

The documentation for this struct was generated from the following file:

- ClarisWksPresentation.cxx